#
# spec file for package spacewalk-admin
#
# Copyright (c) 2011 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define rhnroot /%{_datadir}/rhn
Summary:        Various utility scripts and data files for RHN Satellite installations

Name:           spacewalk-admin
Url:            https://fedorahosted.org/spacewalk
Version:        1.2.7
Release:        1.4
Source0:        spacewalk-admin-git-f1e93e638aef9caed20c73d21a326afe3ffcab0b.tar.gz
License:        GPL v2 only
Group:          Applications/Internet
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Requires:       spacewalk-base
Requires:       perl-URI, perl(MIME::Base64)
Requires:       sudo
%if 0%{?suse_version}
Requires:       policycoreutils
%else
Requires:       /sbin/restorecon
%endif
Obsoletes:      satellite-utils < 5.3.0
Obsoletes:      rhn-satellite-admin < 5.3.0
BuildArch:      noarch

%description
Various utility scripts and data files for Spacewalk installations.



%prep
%setup -q -n spacewalk-admin-git-f1e93e638aef9caed20c73d21a326afe3ffcab0b

%build

%install
rm -rf $RPM_BUILD_ROOT
make -f Makefile.admin install PREFIX=$RPM_BUILD_ROOT

(cd $RPM_BUILD_ROOT/%{_bindir} && ln -s validate-sat-cert.pl validate-sat-cert)

mkdir -p $RPM_BUILD_ROOT%{_mandir}/man3/
%{_bindir}/pod2man validate-sat-cert.pod | gzip -c - > $RPM_BUILD_ROOT%{_mandir}/man3/validate-sat-cert.3.gz
chmod 0644 $RPM_BUILD_ROOT%{_mandir}/man3/validate-sat-cert.3.gz
ln -s spacewalk-service $RPM_BUILD_ROOT%{_sbindir}/rhn-satellite

%if 0%{?suse_version}
%{__mkdir_p} $RPM_BUILD_ROOT%{_initrddir}
# it is obsolete, in redhat only displays a warning, but the script is not lsb
# compliant and therefore it does not build on SUSE
rm $RPM_BUILD_ROOT/etc/rc.d/init.d/rhn-satellite
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%dir %{rhnroot}
%{_sbindir}/spacewalk-service
%{_sbindir}/rhn-satellite
%if ! 0%{?suse_version}
%{_initrddir}/rhn-satellite
%endif
%{_bindir}/validate-sat-cert.pl
%{_bindir}/validate-sat-cert
%{_bindir}/rhn-config-satellite.pl
%{_bindir}/rhn-config-schema.pl
%{_bindir}/rhn-config-tnsnames.pl
%{_bindir}/rhn-populate-database.pl
%{_bindir}/rhn-generate-pem.pl
%{_bindir}/rhn-sudo-load-ssl-cert
%{_bindir}/rhn-load-ssl-cert.pl
%{_bindir}/rhn-deploy-ca-cert.pl
%{_bindir}/rhn-install-ssl-cert.pl
%{_sbindir}/rhn-sat-restart-silent
%{rhnroot}/RHN-GPG-KEY
%{_mandir}/man3/validate-sat-cert.3.gz

%changelog
* Sun Jan 30 2011 mc@suse.de
- backport upstrem fixes
* Wed Sep 15 2010 mantel@suse.de
- Initial release of spacewalk-admin
